ompi/mca/pml/ob1/pml_ob1_rdmafrag.h File Reference.TH "ompi/mca/pml/ob1/pml_ob1_rdmafrag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/ob1/pml_ob1_rdmafrag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/btl/btl.h'\fP
.br
\fC#include 'pml_ob1_hdr.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_OB1_RDMA_FRAG_ALLOC\fP(frag, rc)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_RDMA_FRAG_RETURN\fP(frag)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_pml_ob1_rdma_frag_t \fBmca_pml_ob1_rdma_frag_t\fP"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBmca_pml_ob1_rdma_state_t\fP { \fBMCA_PML_OB1_RMDA_INIT\fP, \fBMCA_PML_OB1_RDMA_PREPARE\fP, \fBMCA_PML_OB1_RDMA_PUT\fP, \fBMCA_PML_OB1_RDMA_GET\fP, \fBMCA_PML_OB1_RDMA_FIN\fP }"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (mca_pml_ob1_rdma_frag_t)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_OB1_RDMA_FRAG_ALLOC(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
do {                                                            \
    opal_list_item_t* item;                                     \
    OMPI_FREE_LIST_WAIT(&mca_pml_ob1.rdma_frags, item, rc);     \
    frag = (mca_pml_ob1_rdma_frag_t*)item;                      \
} while(0)
.fi
.SS "#define MCA_PML_OB1_RDMA_FRAG_RETURN(frag)"
.PP
\fBValue:\fP
.PP
.nf
do {                                                            \
    /* return fragment */                                       \
    OMPI_FREE_LIST_RETURN(&mca_pml_ob1.rdma_frags,              \
        (opal_list_item_t*)frag);                               \
} while(0)
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
